#!/bin/bash

sudo apt update

echo "downloading firefox"

sudo apt install firefox

echo "downloading edge"

# URL for the Edge browser .deb file
URL="https://packages.microsoft.com/repos/edge/pool/main/m/microsoft-edge-dev/microsoft-edge-dev_99.0.1145.19-1_amd64.deb"

# Download the Edge .deb file
wget "$URL" -O edge.deb

# Install the downloaded .deb file
sudo dpkg -i edge.deb

# Install any missing dependencies
sudo apt install -f

# Cleanup: Remove the downloaded .deb file
rm edge.deb

echo "Edge browser has been downloaded and installed."

echo "downloading postman"

sudo snap install postman

